Tool: get_prompt
Retrieves full details of a prompt including metadata, labels, and configuration. Use this to inspect a prompt's settings or retrieve its full resource name before an update.
The following sample demonstrate how to use curl to invoke the get_prompt MCP tool.
| Curl Request |
|---|
curl --location 'https://us-central1-aiplatform.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_prompt", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for DatasetService.GetDataset.
GetDatasetRequest
| JSON representation |
|---|
{ "name": string, "readMask": string } |
| Fields | |
|---|---|
name |
Required. The name of the Dataset resource. |
readMask |
Mask specifying which fields to read. This is a comma-separated list of fully qualified names of fields. Example: |
FieldMask
| JSON representation |
|---|
{ "paths": [ string ] } |
| Fields | |
|---|---|
paths[] |
The set of field mask paths. |
Output Schema
A collection of DataItems and Annotations on them.
Dataset
| JSON representation |
|---|
{ "name": string, "displayName": string, "description": string, "metadataSchemaUri": string, "metadata": value, "dataItemCount": string, "createTime": string, "updateTime": string, "etag": string, "labels": { string: string, ... }, "savedQueries": [ { object ( |
| Fields | |
|---|---|
name |
Output only. Identifier. The resource name of the Dataset. Format: |
displayName |
Required. The user-defined name of the Dataset. The name can be up to 128 characters long and can consist of any UTF-8 characters. |
description |
The description of the Dataset. |
metadataSchemaUri |
Required. Points to a YAML file stored on Google Cloud Storage describing additional information about the Dataset. The schema is defined as an OpenAPI 3.0.2 Schema Object. The schema files that can be used here are found in gs://google-cloud-aiplatform/schema/dataset/metadata/. |
metadata |
Required. Additional information about the Dataset. |
dataItemCount |
Output only. The number of DataItems in this Dataset. Only apply for non-structured Dataset. |
createTime |
Output only. Timestamp when this Dataset was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Timestamp when this Dataset was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
etag |
Used to perform consistent read-modify-write updates. If not set, a blind "overwrite" update happens. |
labels |
The labels with user-defined metadata to organize your Datasets. Label keys and values can be no longer than 64 characters (Unicode codepoints), can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. No more than 64 user labels can be associated with one Dataset (System labels are excluded). See https://goo.gl/xmQnxf for more information and examples of labels. System reserved label keys are prefixed with "aiplatform.googleapis.com/" and are immutable. Following system labels exist for each Dataset:
An object containing a list of |
savedQueries[] |
All SavedQueries belong to the Dataset will be returned in List/Get Dataset response. The annotation_specs field will not be populated except for UI cases which will only use |
encryptionSpec |
Customer-managed encryption key spec for a Dataset. If set, this Dataset and all sub-resources of this Dataset will be secured by this key. |
metadataArtifact |
Output only. The resource name of the Artifact that was created in MetadataStore when creating the Dataset. The Artifact resource name pattern is |
modelReference |
Optional. Reference to the public base model last used by the dataset. Only set for prompt datasets. |
satisfiesPzs |
Output only. Reserved for future use. |
satisfiesPzi |
Output only. Reserved for future use. |
Value
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field kind. The kind of value. kind can be only one of the following: |
|
nullValue |
Represents a null value. |
numberValue |
Represents a double value. |
stringValue |
Represents a string value. |
boolValue |
Represents a boolean value. |
structValue |
Represents a structured value. |
listValue |
Represents a repeated |
Struct
| JSON representation |
|---|
{ "fields": { string: value, ... } } |
| Fields | |
|---|---|
fields |
Unordered map of dynamically typed values. An object containing a list of |
FieldsEntry
| JSON representation |
|---|
{ "key": string, "value": value } |
| Fields | |
|---|---|
key |
|
value |
|
ListValue
| JSON representation |
|---|
{ "values": [ value ] } |
| Fields | |
|---|---|
values[] |
Repeated field of dynamically typed values. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
SavedQuery
| JSON representation |
|---|
{ "name": string, "displayName": string, "metadata": value, "createTime": string, "updateTime": string, "annotationFilter": string, "problemType": string, "annotationSpecCount": integer, "etag": string, "supportAutomlTraining": boolean } |
| Fields | |
|---|---|
name |
Output only. Resource name of the SavedQuery. |
displayName |
Required. The user-defined name of the SavedQuery. The name can be up to 128 characters long and can consist of any UTF-8 characters. |
metadata |
Some additional information about the SavedQuery. |
createTime |
Output only. Timestamp when this SavedQuery was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Timestamp when SavedQuery was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
annotationFilter |
Output only. Filters on the Annotations in the dataset. |
problemType |
Required. Problem type of the SavedQuery. Allowed values:
|
annotationSpecCount |
Output only. Number of AnnotationSpecs in the context of the SavedQuery. |
etag |
Used to perform a consistent read-modify-write update. If not set, a blind "overwrite" update happens. |
supportAutomlTraining |
Output only. If the Annotations belonging to the SavedQuery can be used for AutoML training. |
EncryptionSpec
| JSON representation |
|---|
{ "kmsKeyName": string } |
| Fields | |
|---|---|
kmsKeyName |
Required. Resource name of the Cloud KMS key used to protect the resource. The Cloud KMS key must be in the same region as the resource. It must have the format |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌